Get Top Referrers
curl --request GET \
--url https://api.example.com/cabinet/admin/stats/referrals/top \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/cabinet/admin/stats/referrals/top"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/cabinet/admin/stats/referrals/top', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"by_earnings": [
{
"user_id": 123,
"display_name": "<string>",
"invited_count": 123,
"telegram_id": 123,
"email": "<string>",
"username": "<string>",
"invited_today": 0,
"invited_week": 0,
"invited_month": 0,
"earnings_today_kopeks": 0,
"earnings_week_kopeks": 0,
"earnings_month_kopeks": 0,
"earnings_total_kopeks": 0
}
],
"by_invited": [
{
"user_id": 123,
"display_name": "<string>",
"invited_count": 123,
"telegram_id": 123,
"email": "<string>",
"username": "<string>",
"invited_today": 0,
"invited_week": 0,
"invited_month": 0,
"earnings_today_kopeks": 0,
"earnings_week_kopeks": 0,
"earnings_month_kopeks": 0,
"earnings_total_kopeks": 0
}
],
"total_referrers": 123,
"total_referrals": 123,
"total_earnings_kopeks": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Cabinet Admin Stats
Get Top Referrers
Get top referrers with earnings breakdown by period.
GET
/
cabinet
/
admin
/
stats
/
referrals
/
top
Get Top Referrers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
⌘I
